#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 17. Networking Libraries

- Prev

  Serf-1.3.9

- Next

  Text Web Browsers

- Up
- Home

# uhttpmock-0.5.3

## Introduction to uhttpmock

The uhttpmock package contains a library for mocking web service APIs which use HTTP or HTTPS.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://tecnocode.co.uk/downloads/uhttpmock/uhttpmock-0.5.3.tar.xz

- Download MD5 sum: dcbd66e80e1635e41b0e434b9852bd39

- Download size: 311 KB

- Estimated disk space required: 3.6 MB

- Estimated build time: less than 0.1 SBU (with tests)

### uhttpmock Dependencies

#### Required

libsoup-2.74.2

#### Recommended

gobject-introspection-1.70.0 and Vala-0.54.7

#### Optional

GTK-Doc-1.33.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/uhttpmock

## Installation of uhttpmock

Install uhttpmock by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libuhttpmock-0.0.so
Installed Directories: /usr/include/libuhttpmock-0.0 and /usr/share/gtk-doc/html/libuhttpmock-0.0

### Short Descriptions

`libuhttpmock-0.0.so` | contains the uhttpmock API functions

Last updated on

- Prev

  Serf-1.3.9

- Next

  Text Web Browsers

- Up
- Home